#ifndef PIINTROSPECTOR_H
#define PIINTROSPECTOR_H

#include "ui_piintrospector.h"
#include <QImage>
#include <QTime>
#include <QDesktopWidget>
#include <QDebug>
#include "piqt.h"
#include "piintrospection.h"

class QPIIntrospector: public QMainWindow, private Ui::QPIIntrospector, public PIObject
{
	Q_OBJECT
	PIOBJECT(QPIIntrospector)
public:
	QPIIntrospector(QWidget * parent = 0);

protected:
	void changeEvent(QEvent * e);
	void timerEvent(QTimerEvent * );
	
	void buildDumpSection(QTreeWidgetItem * pi, PIString & str);

	EVENT_HANDLER2(void, peerReceived, const PIString &, from, const PIByteArray &, data);

	PIString cur_server;
	PIPeer peer;
	
private slots:
	void buildTree(QByteArray d);
	void on_listApp_currentRowChanged(int r);

public slots:
	
};

#endif // PIINTROSPECTOR_H
